# mba-cli booking

> Read bookings (key-scoped)

Read bookings (key-scoped)

CLI version: `0.3.2`

## Commands

### mba-cli booking get

Get one booking by id

Get single booking resource

Retrieves a specific booking by its ID with all associated details including customer information, pet details, service information, and booking status

Get one booking by id

Flags:

- `--id` (string): Booking record id

API endpoints:

- GET /bookings/{id} — https://mybusinessapp.co.za/developers/api/booking#tag/Booking/get_single_booking

### mba-cli booking ls

List bookings

Get all booking resources

Get all the booking resources with optional filtering by customer, employee, booking state, date range, and team

List bookings

Flags:

- `--all` (bool, default `false`): Return all rows (paginate=false)
- `--approved` (bool): Query parameter approved (from the API spec)
- `--booking-state` (string): Query parameter bookingState (from the API spec)
- `--customer-id` (string): Query parameter customerId (from the API spec)
- `--employee-role` (string): Query parameter employeeRole (from the API spec)
- `--from-date` (string): Query parameter fromDate (from the API spec)
- `--limit` (int, default `20`): Query parameter limit (from the API spec)
- `--page` (int, default `1`): Query parameter page (from the API spec)
- `--paginate` (bool, default `true`): Query parameter paginate (from the API spec)
- `--paid` (bool): Query parameter paid (from the API spec)
- `--sort-key` (string): Query parameter sortKey (from the API spec)
- `--sort-value` (string): Query parameter sortValue (from the API spec)
- `--team-id` (string): Query parameter teamId (from the API spec)
- `--team-ids` (string): Query parameter teamIds (from the API spec)
- `--to-date` (string): Query parameter toDate (from the API spec)
- `--transport-mode` (string): Query parameter transportMode (from the API spec)

API endpoints:

- GET /bookings — https://mybusinessapp.co.za/developers/api/booking#tag/Booking/get_all_bookings

### mba-cli booking search

Text-search bookings

Search all booking resources

Search all the booking resources using a text query that matches against booking details, customer information, and other relevant fields

Text-search bookings

Flags:

- `--all` (bool, default `false`): Return all rows (paginate=false)
- `--approved` (bool): Query parameter approved (from the API spec)
- `--booking-state` (string): Query parameter bookingState (from the API spec)
- `--customer-id` (string): Query parameter customerId (from the API spec)
- `--employee-role` (string): Query parameter employeeRole (from the API spec)
- `--from-date` (string): Query parameter fromDate (from the API spec)
- `--limit` (int, default `20`): Query parameter limit (from the API spec)
- `--page` (int, default `1`): Query parameter page (from the API spec)
- `--paginate` (bool, default `true`): Query parameter paginate (from the API spec)
- `--paid` (bool): Query parameter paid (from the API spec)
- `--query` (string): Query parameter query (from the API spec)
- `--sort-key` (string): Query parameter sortKey (from the API spec)
- `--sort-value` (string): Query parameter sortValue (from the API spec)
- `--team-id` (string): Query parameter teamId (from the API spec)
- `--to-date` (string): Query parameter toDate (from the API spec)
- `--transport-mode` (string): Query parameter transportMode (from the API spec)

API endpoints:

- GET /bookings/search — https://mybusinessapp.co.za/developers/api/booking#tag/Booking/search_all_bookings

---

[Rendered page](https://mybusinessapp.co.za/developers/cli/reference/booking)

© MyBusinessApp (Pty) Ltd. Proprietary documentation — do not republish.
